package com.atlassian.bitbucket.internal.branch.model.restriction.type;

import com.atlassian.bitbucket.repository.ref.restriction.RefMatcherType;

import javax.annotation.Nonnull;

public class ModelBranchMatcherType implements RefMatcherType {

    private static ModelBranchMatcherType INSTANCE = new ModelBranchMatcherType();

    public static ModelBranchMatcherType getInstance() {
        return INSTANCE;
    }


    @Override
    public String getId() {
        return "MODEL_BRANCH";
    }

    @Nonnull
    @Override
    public String getDisplayId() {
        return "Branching model branch";
    }
}
